package com.om.service;

import com.om.entity.dto.DeviceQueryPageDTO;
import com.om.entity.po.Device;
import com.baomidou.mybatisplus.extension.service.IService;
import com.om.entity.vo.DeviceQueryPageVO;
import com.om.utils.Result;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author bmmx
 * @since 2024-04-08
 */
public interface IDeviceService extends IService<Device> {

    Result<DeviceQueryPageVO> getPageList(DeviceQueryPageDTO dto);

    List<String> deviceList();

    Result unbind(Integer id);
}
